<h1 class="title">Установка и настройка АТС-коннектора «Простые звонки – Panasonic»</h1>

<h2>1. Системные требования</h2>
<hr>

<p>АТС-коннектор устанавливается на сервер, подключенный к совместимой АТС Panasonic по USB кабелю
или через LAN соединение.</p>
<p>Для установки и работы АТС-коннектора вам потребуется:</p>
<ul>
	<li>Сервер с операционной системой Windows 7, Windows 8, Windows Server 2008, Windows Server 2008 R2,
Windows Server 2012, Windows Server 2012 R2</li>
	<li>АТС Panasonic TDE KX-TDA 30/100/200/300/600, KX-TDE 100/200/600, KX-NCP 500/1000</li>
	<li>Panasonic TSP Driver</li>
	<li>Microsoft Windows Installer 3.1</li>
	<li>Microsoft .NET Framework 2.0</li>
</ul>

<p class="attention">Внимание! Для правильной работы функций «Всплывающая карточка» и «Умная переадресация» АТС
Panasonic должна правильно определять номера на внешних линиях. Например, если к АТС Panasonic KXTDA 100 подключены аналоговые городские линии, то необходима плата KX-TDA0193 для приема с
городской внешней аналоговой линии сигналов Caller ID для определения номера звонящего абонента.</p>
<p class="attention">Внимание! Для АТС Panasonic KX-NS 500/1000 вам потребуется CTI лицензия KX-NSF101 или KX-NSA020
(подробности в руководстве администратора АТС Panasonic).</p>

<h2>2. Проверьте перед установкой</h2>
<hr>

<p></p>Перед установкой и настройкой АТС-коннектора, пожалуйста, проверьте:
 <ul>
 	<li>Компьютер, на который вы устанавливаете АТС-коннектор, удовлетворяет системным требованиям
(см. <a href="">«1. Системные требования»</a>)</li>
 	<li>У вас есть доступ к серверу с правами администратора</li>
 	<li>У вас есть установочный файл ProstieZvonki_Panasonic.msi</li>
 </ul>

 <h2>3. Установка Panasonic TSP Driver</h2>
 <hr>

 <p>Если Panasonic TSP Driver уже установлен и настроен, то вы можете пропустить этот раздел.</p>
<p>В качестве примера мы используем версию драйвера Panasonic TSP Driver 4.0.4.0 x86 для АТС Panasonic
KX-TDA. Вы можете скачать TSP драйвер для АТС Panasonic KX-TDA, KX-TDE, KX-NCP на <a target="_blank" href="http://prostiezvonki.ru/download">нашем сайте</a>.</p>
<p class="attention">Внимание! Для подключения к АТС по USB нужно сначала установить USB драйвер с нашего сайта
(<a href="http://prostiezvonki.ru/installs/usb_tda_mu.exe">http://prostiezvonki.ru/installs/usb_tda_mu.exe</a>).</p>
<p class="attention">Внимание! TSP драйвер не работает по USB на 64х битной ОС Windows (используйте LAN соединение).</p>
<p class="attention">Внимание! Используйте только ту версию TSP драйвера, которая совместима с вашей АТС Panasonic.</p>
<p>Запустите файл установки соответствующий вашей операционной системе:</p>
<ul>
	<li>panasonic_tsp_instx86_4040.exe для 32-битной системы</li>
	<li>panasonic_tsp_instx64_4040.exe для 64-битной системы</li>
</ul>

<p>Нажмите <strong>«Next»</strong> на этом экране:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_install_next.jpg" alt="нажимает далее"></p>

<p>Нажмите <strong>«Yes»</strong> на этом экране:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_install_yes.jpg" alt="нажимем да"></p>

<p>Нажмите <strong>«Install»</strong> для начала установки:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_install.jpg" alt="нажимаем установить"></p>

<p>Следующее сообщение говорит о том что TSP и CSTA Приложения не могут использоваться
одновременно. Нажмите <strong>«Ok»</strong> для продолжения:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_install_ok.jpg" alt="tsp и csta не могут использоваться одновременно"></p>

<p>По умолчанию один экземпляр программы установится и зарегистрируется с TAPI. После окончания
регистрации с TAPI следующее диалоговое окно предложит вам настроить параметры драйвера.</p>

<p><strong>А. Если АТС Panasonic подключена к компьютеру через LAN соединение:</strong></p>

<p>Обратите внимание, что для подключения AТС Panasonic через LAN соединение вам может понадобиться
одна из плат, перечисленных ниже:</p>
<ul>
	<li>NS1000 Mother board</li>
	<li>NCP500/1000 IPCMPR Card</li>
	<li>TDE100/200/600 IPCMPR Card</li>
	<li>TDA100/200/600 CTI Link Card</li>
	<li>TDA30/50 IP Gateway Card</li>
</ul>

<p>Введите IP адрес и TCP порт вашей АТС Panasonic:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_red_light.jpg" alt="подключение по lan"></p>

<p><strong>Б. Если АТС Panasonic подключена к компьютеру USB кабелем:</strong></p>
<p>В этом случае отметьте <strong>«USB Connection»</strong> и выберите нужную АТС по её названию:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_usb_connection.jpg" alt="подключение по usb"></p>

<p>После выбора типа соединения нажмите <strong>«Check Location»</strong> для проверки соединения с АТС:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_check_location.jpg" alt="проверка соединения"></p>

<p>Если настройки указаны верно, то после установки соединения появится информация, полученная от
АТС (CTI Version, Region Code, Sub Domain Name, Software Version and System Time Stamp) и серая
лампочка (слева от кнопки «Check Location») станет зелёной.</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_connection_ok.jpg" alt="успешное соединение"></p>

<p>Если драйвер не сможет установить соединение с АТС, то появится сообщение:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_connection_lost.jpg" alt="нет соединения"></p>

<p>Нажмите <strong>«Yes»</strong>. Лампочка (слева от кнопки «Check Location») станет красной:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_red_light.jpg" alt="нажали да, лампочка стала красной"></p>

<p>Убедитесь, что АТС подключена к LAN и соединение с LAN настроено на АТС. Проверьте настройки
соединения в окне и повторите проверку, нажав <strong>«Check Location»</strong> еще раз.</p>

<p>Нажмите <strong>«Finish»</strong> для завершения установки:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_finish.jpg" alt="завершение установки"></p>

<p>Нажмите <strong>«Yes»</strong> для перезагрузки компьютера:</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_restart.jpg" alt="перезагрузка компьютера"></p>

<p class="attention">шаблон tempaltes/install_pbx_connector.html</p>

<p><strong>Внимание!</strong> Если вы хотите, чтобы клиенты сразу попадали на своих менеджеров и используете умную
переадресацию для всех входящих звонков, то вам нужно перенастроить АТС. АТС надо настроить так,
чтобы все входящие вызовы попадали на «Оператора» АТС, у которого по умолчанию задан номер
«101». Если к этому номеру привязан какой-либо телефонный аппарат – отключите его, чтобы он не
звонил, пока переводится звонок. Если входящие вызовы не будут попадать на «Оператора», то модуль
не сможет обработать параллельные звонки.
Оператор настраивается в Maintenance Console: «2.Система – 2.Оператор & Фоновая музыка Оператор
УАТС» :</p>
<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_operator.jpg" alt="настройка оператора для умного перевода"></p>

<h2>5. Описание файла настроек АТС-коннектора</h2>
<hr>

<p>Для настройки АТС-коннектора найдите и откройте в текстовом редакторе конфигурационный файл
<strong>config.txt</strong>. Файл находится в папке с установленным АТС-коннектором: <strong>C:\Program
Files\Vedisoft\ProstieZvonki-Panasonic</strong></p>

<p>шаблон templates\pbx_connector_settings.html</p>

<p>шаблон templates\smart_transfer.html</p>

<p>шаблон templates\pop_up.html</p>

<p><strong>Отключение обработки звонков на некоторых внешних линиях</strong></p>

<p>Вы можете отключить обработку звонков на некоторых внешних линиях (например, на линиях, которые
выделены руководителям). Задайте список таких линий в параметре <strong>ignore_list</strong>. АТС-коннектор
Panasonic не обрабатывает звонки, не записывает историю и не показывает карточки клиентов для
звонков, поступающих на эти линии.</p>

<h2>6. Настройка защищенного SSL соединения</h2>
<hr>

<p>шаблон templates/ssl_settings.html</p>

<h2>7. Запуск АТС-коннектора</h2>
<hr>

<p>Перед запуском убедитесь, что TSP Driver работает. Для этого выполните следующие действия:</p>

<p>1. Запустите TSP Connection Monitor: «Пуск» – «Panasonic» – «TSP» – «Connection Monitor».</p>

<p>2. Из списка PBX выберите вашу АТС:</p>

<p><img src="images/panasonic/ustanovka_nastroyka_panasonic_pbx_connector_start.jpg" alt="запуск АТС-коннектора"></p>

<p>3. TSP драйвер работает нормально, если в поле Connection написано «Connect», и счетчики пакетов
показывают ненулевые значения.</p>

<p>Если TSP драйвер не работает, пожалуйста, проверьте его настройки.</p>

<p>После установки и настройки АТС-коннектора мы рекомендуем перезагрузить компьютер. Запуск АТСконнектора происходит автоматически при старте системы.</p>

<p>Проверьте, что АТС-коннектор запущен:<br>
1. Откройте окно «Службы»: «Панель управления» – «Администрирование» – «Службы».<br>
2. Найдите сервис Простые звонки: модуль Panasonic.<br>
3. Состояние сервиса должно быть «Работает».<br>
В окне «Службы» вы также можете запускать и останавливать сервис вручную.</p>

<p>Проверьте, что АТС-коннектор подключился к линиям АТС:<br>
1. Откройте окно «Просмотр событий»: «Панель управления» – «Администрирование» – «Просмотр
событий».<br>
2. В разделе «Приложениях» найдите журнал «Panasonic CTI».<br>
3. Найдите в нем событие где написано «Was registered XXX lines».<br>
4. Если вместо XXX написано 0, то это означает, что АТС-коннектор не смог подключиться к линиям АТС<br>
(проверьте правильность установки и настройки Panasonic TSP драйвера).</p>

<p>шаблон tempkates\connect_crm_to_pbx_connector.html</p>





 
 
 